Bug 5577 - Unnecessary disk I/O and noatime ffs fixes
Summary: Unnecessary disk I/O and noatime ffs fixes
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 2.2.5-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: bde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1998-01-27 03:10 UTC by leres
Modified: 2008-02-16 10:55 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (4.25 KB, patch)
1998-01-27 03:10 UTC, leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description leres 1998-01-27 03:10:01 UTC
	When running FreeBSD on notebook computers, we noticed a lot of
	extra disk activity. Turning on the noatime mount option didn't
	seem to help.

Fix: Appended are context diffs of Van's fixes.

	For ufs/ffs/ffs_inode.c:

	    If no MNT_NOATIME is set then ignore access time update
	    requests.

	For ufs/ffs/ffs_vfsops.c:

	    If MNT_NOATIME is set, ignore access time changes. Don't
	    bother flushing the mount point (e.g., for root) since it
	    gets flushed anyway. If MNT_NOATIME is set, don't update
	    the on-disk access times for /dev inodes (but do update the
	    in-core times so finger and w work).

	For ufs/ffs/ffs_vnops.c:

	    Don't defer flushing the inode or else we will end up with
	    new I/O activity on the next sync.

------
RCS file: RCS/ffs_inode.c,v
retrieving revision 1.2
How-To-Repeat: 
	Notice that the disk on a completely idle notebook will spin up
	ever few minutes.
Comment 1 jkh freebsd_committer 1998-02-02 08:19:53 UTC
State Changed
From-To: open->closed

Submitted patch applied by John (who forgot to close this PR ;-) 
Comment 2 steve freebsd_committer 1998-02-07 21:29:05 UTC
State Changed
From-To: closed->open

John later reverted these changes.  Bruce mentioned that the 
patch didn't cleanly to any version of FreeBSD and at least 
one failed attempt to contact the orginator about problems 
with the patch.  Exactly what those problems were, I don't 
know. 
Comment 3 bde freebsd_committer 1998-05-02 15:28:47 UTC
Responsible Changed
From-To: freebsd-bugs->bde

I'm working on this. 
Comment 4 Mark Linimon freebsd_committer 2008-02-16 10:53:08 UTC
State Changed
From-To: open->closed

Apparently was committed Fri Jul 3 22:17:03 1998 UTC (9 years, 7 months ago) 
by bde in rev 1.92 of ufs_vnops.c. 

This week's award for "closing antique PRs" to: Dylan Cochran